
ChiliProject - Bug # 933: News RSS Feed <content> tag not populating

Status: Closed Priority: Normal
Author: Gilbert Flamino Category: Journals / History
Created: 2012-03-16 Assignee: Felix Schäfer
Updated: 2012-03-17 Due date:
Remote issue URL:
Affected version: 2.6.0
Description: After the upgrade to Release 2.6 (from 1.5.0) the *News* RSS feeds no longer contains data within the 

<content> tag. RSS feeds for *Issues* and the like look and operate fine; all contain data in the <content> 
tag. The bug appears to only affect the *News* RSS feed.

Associated revisions
2008-03-27 12:22 am - Jean-Philippe Lang 
Trac importer: exclude more Trac wiki pages (#933).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1297 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-03-17 01:53 pm - Felix SchÃ¤fer 
aaj: default to don't force notes as event descriptions #933

2012-03-17 01:55 pm - Felix SchÃ¤fer 
Use the news description as event description #933

History
2012-03-16 06:33 am - Felix Schäfer
- Assignee set to Felix Schäfer

- Category set to Journals / History

That's tangentially related to aaj, I know where this clashes and will post a fix soon.

2012-03-17 12:57 pm - Felix Schäfer
- Target version set to 3.1.0

- Status changed from Open to Closed

Fixed in commit:f011948, thanks for reporting!

2012-03-17 05:20 pm - Gilbert Flamino
Testing fix.  

app/model/news.rb line#24

  acts_as_journalized :event_url => Proc.new {|o| {:controller => 'news', :action => 'show', :id => o.journaled_id} },
    :event_description => :description

After modification to code, Apache bounce, add a new *News* item, the <content> tag does not contain data for the RSS feed.

Example:
http://c.fitr.us/projects/a_3/news.atom?key=5ef05276f992f6b889f20859e8ffe78727105532

<pre>
<?xml version="1.0" encoding="UTF-8"?>
<feed xmlns="http://www.w3.org/2005/Atom">
  <title>TestProj: News</title>
  <link href="http://c.fitr.us/projects/a_3/news.atom?key=5ef05276f992f6b889f20859e8ffe78727105532" rel="self"/>
  <link href="http://c.fitr.us/projects/a_3/news" rel="alternate"/>
  <id>http://c.fitr.us/</id>
  <updated>2012-03-17T17:06:11+00:00</updated>
  <author>
    <name>ChiliProject</name>
  </author>
  <generator uri="https://www.chiliproject.org/">
ChiliProject  </generator>
  <entry>
    <title>test news</title>
    <link href="http://c.fitr.us/news/1" rel="alternate"/>
    <id>http://c.fitr.us/news/1</id>
    <updated>2012-03-17T17:06:11+00:00</updated>
    <author>
      <name>Gilbert Flamino</name>
      <email>gilbert.flamino@somehwere.cc</email>
    </author>
    <content type="html">
    </content>
  </entry>
</feed>

</pre>

2012-03-17 06:54 pm - Felix Schäfer
You'll need the previous one, i.e. commit:df66e9b9 too.

2012-03-17 07:01 pm - Gilbert Flamino
That was it.  Tested and it looks good.

Thank you!
